<%@ include file="Header.jsp" %>




<img src="images/branding.jpg" style="Float:right;">

<%
String errorMessage = (String) request.getAttribute("errorMsg");
if(errorMessage != null && errorMessage.length() > 0){
	%>
	<p>
	<div class="syn_error"><%=errorMessage %></div>
	</p>
	
	<%
}
%>

<!--  Hello -->
<h1>Branding Syncrify Client</h1>

<br><br>
Branding Syncrify client allow you to put your company name on the client as well as assign default value to 
many configuration parameters in Syncrify client. 

<br><br>

Once branding is complete, you will be able to distribute a customized installer containing Syncrify client to your
customers. The installed version of this client can bear your company name, company logo and can be optionally restricted
to connect to only your server.

<br><br>

The following screens will prompt you for a set of questions. You do not have to answer all of them. Default values
will be assigned if you skip an answer.

<%
if(request.getAttribute("trial") != null && request.getAttribute("trial").equals("true")){
	%>
	<br><br><br>
	<div class="infoTable" style="padding:10px">
	<h3>Important</h3>You are using Syncrify in trial mode. You will have to recreate a custom client if you decide to purchase it after the trial is over.
	</div>
	
	<%
}
%>


<%

java.util.Properties props = (java.util.Properties) request.getAttribute("cProp");

if(props == null) props = new java.util.Properties();
		
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%><br><br>
	<p class="error"><%=errorMsg %></p>
	<%
}
%>
<br><br>
<div class="loginFormHolder">

	<form action="<%=controllerPath%>" method="POST">
	
	<fieldset>
	<LEGEND>Important Parameters</LEGEND>
	
	<DIV class="required">
		<LABEL for="titleCompany">Title company name:</LABEL>			
		<INPUT type="text" name="titleCompany" id="titleCompany" class="inputText" 
		value="<%= request.getParameter("titleCompany") != null ? request.getParameter("titleCompany") : props.getProperty("client.branding.appName", "") %>" />
		<small>The text you type here will appear in the title bar of Syncrify client. 
		<a href="images/cbTitleCompany.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="titleImage">Title image:</LABEL>			
		<INPUT type="text" name="titleImage" id="titleImage" class="inputText" 
			value="<%= request.getParameter("titleImage") != null ? request.getParameter("titleImage") : props.getProperty("client.branding.image", "") %>" />
		<small>URL for an image that appears on the top. This image can be anywhere on the
		Internet and must be about 665 x 50 pixels. We recommend you create an image that
		is right aligned, allowing the buttons to appear on the left hand side.
		<a href="images/cbTitleImage.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="titleImageRA">Right-align image:</LABEL>			
		<INPUT type="checkbox" name="titleImageRA" id="titleImageRA" value="true" <%= props.getProperty("client.branding.image.rightAlign", "true").equals("true") ? " checked " : "" %> />
		<small>If the Title image is right aligned, check this box. This setting is ignored
		if title image is left blank or contains a URL that is not found at runtime.</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="titleImageBC">Background color:</LABEL>			
		<INPUT type="text" name="titleImageBC" id="titleImageBC" class="inputText" 
			value="<%= request.getParameter("titleImageBC") != null ? request.getParameter("titleImageBC") : props.getProperty("client.branding.bkColor", "") %>" />
		<small>Background color for title image. This must be specified as an RGB value, which is an integer between 0 to 255
		for each component separated by a comma. For example:
		255,0,0 . This represents red.</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="serverUrl">Server URL:</LABEL>			
		<INPUT type="text" name="serverUrl" id="serverUrl" class="inputText" 
			value="<%= request.getParameter("serverUrl") != null ? request.getParameter("serverUrl") : props.getProperty("server.url", "") %>" />
		<small>URL where your Syncrify server is running. For example: https://backup.YourCompany.com 
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="installationFolder">Installation folder:</LABEL>			
		<INPUT type="text" name="installationFolder" id="installationFolder" class="inputText" 
			value="<%= request.getParameter("installationFolder") != null ? request.getParameter("installationFolder") : props.getProperty("installation.folder.name", "") %>" />
		<small>Folder where the client will be installed. The actual path will become<br><b>C:\Program Files\TheValueYouSpecifyHere</b> 
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="programGroup">Program group:</LABEL>			
		<INPUT type="text" name="programGroup" id="programGroup" class="inputText" 
			value="<%= request.getParameter("programGroup") != null ? request.getParameter("programGroup") : props.getProperty("installation.pg.name", "") %>" />
		<small>Name of the Program Group, which appears in the Start menu in Windows.
		</small>
	</DIV>
	
	<div class="required">
        
        <label for="installerType">Installer Type</label>
        <select name="installerType" id="installerType" class="selectOne">
          <option value="1" <%= props.getProperty("installer.type", "1").equals("1") ? " selected='selected' " : "" %>>Windows Service client</option> 
          <option value="0" <%= props.getProperty("installer.type", "").equals("0") ? " selected='selected' " : "" %>>Integrated client</option>
          <option value="2" <%= props.getProperty("installer.type", "").equals("2") ? " selected='selected' " : "" %>>Both</option>
         
        </select>
        <small>Select the type of client you want to distribute. To avoid confusion, we recommend distributing Windows Service Client only.
        </small>
    </div>
      
	<div class="required">
        
        <label for="language">Language</label>
        <select name="language" id="language" class="selectOne">
          <option value="">System default</option>
          <option value="da" <%= props.getProperty("client.branding.language", "").equals("da") ? " selected='selected' " : "" %>>Danish</option>
          <option value="nl" <%= props.getProperty("client.branding.language", "").equals("nl") ? " selected='selected' " : "" %>>Dutch</option>          
          <option value="de" <%= props.getProperty("client.branding.language", "").equals("de") ? " selected='selected' " : "" %>>German</option>
          <option value="en" <%= props.getProperty("client.branding.language", "").equals("en") ? " selected='selected' " : "" %>>English</option>
          <option value="fr" <%= props.getProperty("client.branding.language", "").equals("fr") ? " selected='selected' " : "" %>>French</option>
          <option value="pt" <%= props.getProperty("client.branding.language", "").equals("pt") ? " selected='selected' " : "" %>>Portuguese</option>
          <option value="es" <%= props.getProperty("client.branding.language", "").equals("es") ? " selected='selected' " : "" %>>Spanish</option>
          
         
        </select>
        <small>Choose <b>System default</b> if you want Syncrify to select the language automatically. English is used for languages that are not available.
        </small>
    </div>
	
	<DIV class="required">
		<LABEL for="rebuildClient">Rebuild client:</LABEL>			
		<INPUT type="checkbox" name="rebuildClient" id="rebuildClient" value="true"  <%= request.getAttribute("rebuildClient") == null ? "" : request.getAttribute("rebuildClient").toString() %>/> 
		<small>If checked, a custom client will be rebuild automatically when server is upgraded to a new version.</small>
	</DIV>
	
	</fieldset>
	
	
	<fieldset>
	<LEGEND>Secondary Parameters</LEGEND>
	<DIV class="required">
		<LABEL for="serverURLReadOnly">Locked client:</LABEL>			
		<INPUT type="checkbox" name="serverURLReadOnly" id="serverURLReadOnly" value="true" <%= props.getProperty("server.url.readonly", "false").equals("true") ? " checked " : "" %>/> 
		
		<small>If checked, client will not be able to modify the value for Server URL, restricting them
		from connecting to any other Syncrify server. This setting is ignored if Server URL is left blank.</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="hideProfiles">Hide profiles:</LABEL>			
		<INPUT type="checkbox" name="hideProfiles" id="hideProfiles" value="false" <%= props.getProperty("allow.profile.creation", "false").equals("true") ? " checked " : "" %> />
		<small>If checked, clients will NOT be allowed to create multiple profiles. They will only be able to use one profile, which will be based on the machine's host name.
		<a href="images/cbHideProfile.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	
	<div class="required">
        
        <label for="direction">Direction</label>
        <select name="direction" id="direction" class="selectOne">
          <option value="0" <%= props.getProperty("backup.direction", "").equals("0") ? " selected='selected' " : "" %>>Client to Server</option>
          <option value="1" <%= props.getProperty("backup.direction", "").equals("1") ? " selected='selected' " : "" %>>Two-way Sync</option>
          <option value="2" <%= props.getProperty("backup.direction", "").equals("2") ? " selected='selected' " : "" %>>Server to Client</option>
         
        </select>
        <small>Select the default value for the <b>Direction</b> field. 
        <a href="images/cbDirection.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
        </small>
      </div>
	
	
	
	
	<DIV class="required">
		<LABEL for="deleteFiles">Delete files:</LABEL>			
		<INPUT type="checkbox" name="deleteFiles" id="deleteFiles" value="true" <%= props.getProperty("delete.files.from.server", "true").equals("true") ? " checked " : "" %> />
		<small>If checked, the <b>Delete files</b> options will be enabled.
			<a href="images/cbDeleteFiles.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	
	<DIV class="required">
		<LABEL for="useCompression">Use compression:</LABEL>			
		<INPUT type="checkbox" name="useCompression" id="useCompression" value="true" <%= props.getProperty("compress.data", "true").equals("true") ? " checked " : "" %> />
		<small>If checked, the <b>Compress Data</b> options will be enabled.
			<a href="images/cbUseCompression.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="enableVersioning">Enable versioning:</LABEL>			
		<INPUT type="checkbox" name="enableVersioning" id="enableVersioning" value="true" <%= props.getProperty("enable.versioning", "false").equals("true") ? " checked " : "" %> />
		<small>If checked, the <b>Enable Versioning</b> options will be enabled.
			<a href="images/cbVersioning.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	
	<!-- 
	<DIV class="required">
		<LABEL for="twoWaySync">Two-way sync:</LABEL>			
		<INPUT type="checkbox" name="twoWaySync" id="twoWaySync" value="true" />
		<small>If checked, the <b>Two-way sync</b> options will be enabled.
			<a href="images/cbTwoWay.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	-->
	
	<DIV class="required">
		<LABEL for="backupLockedFiles">Backup locked files:</LABEL>			
		<INPUT type="checkbox" name="backupLockedFiles" id="backupLockedFiles" value="true" <%= props.getProperty("enable.vss", "false").equals("true") ? " checked " : "" %> />
		<small>If checked, the <b>Backup locked files</b> options will be enabled.
			<a href="images/cbLockedFiles.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="allowSharedProfiles">Shared Profiles:</LABEL>			
		<INPUT type="checkbox" name="allowSharedProfiles" id="allowSharedProfiles" value="true" <%= props.getProperty("allow.profile.creation", "true").equals("true") ? " checked " : "" %> />
		<small>If checked, user A will be able to view/modify profiles for user B on the client machine.
			
		</small>
	</DIV>

	
	
	
	<DIV class="required">
		<LABEL for="allowEncryption">Allow encryption:</LABEL>			
		<INPUT type="checkbox" name="allowEncryption" id="allowEncryption" value="true" <%= props.getProperty("hide.encryption.options", "true").equals("true") ? " checked " : "" %> />
		<small>If checked, user will be able enable encryption and specify a password. When this is unchecked, user won't
		see the tab for encryption.
			<a href="images/cbEncryption.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="hideAdvancedTab">Hide advanced tab:</LABEL>			
		<INPUT type="checkbox" name="hideAdvancedTab" id="hideAdvancedTab" value="true" <%= props.getProperty("hide.advanced.options", "false").equals("true") ? " checked " : "" %> />
		<small>If checked, the advanced tab will won't be displayed.
			<a href="images/cbHideAdvanced.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="disableStatusViewer">Disable status viewer:</LABEL>			
		<INPUT type="checkbox" name="disableStatusViewer" id="disableStatusViewer" value="true" <%= props.getProperty("disable.status.viewer", "false").equals("true") ? " checked " : "" %> />
		<small>If checked, status viewer application is disabled. 
			<a href="images/statViewerTip.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a></small>
	</DIV>
	
	
	<DIV class="required">
		<LABEL for="emailReport">Email reports:</LABEL>			
		<INPUT type="checkbox" name="emailReport" id="emailReport" value="true" <%= props.getProperty("send.email.report", "true").equals("true") ? " checked " : "" %> />
		<small>If checked, client will generate email report after running a backup.
			<a href="images/cbEmailReport.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="emailRecipient">Email recipient:</LABEL>			
		<INPUT type="text" name="emailRecipient" id="emailRecipient" class="inputText" 
			value="<%= request.getParameter("emailRecipient") != null ? request.getParameter("emailRecipient") : props.getProperty("send.email.report.recipient", "") %>" />
		<small>Email address where reports are sent. If left blank, reports will be sent to user's login ID.
		Multiple emails can be separated by a comma.
		<a href="images/cbEmailReportRecipients.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="masterPwd">Master Password:</LABEL>			
		<INPUT type="text" name="masterPwd" id="masterPwd" class="inputText" 
			value="<%= request.getParameter("masterPwd") != null ? request.getParameter("masterPwd") : props.getProperty("client.branding.masterpwd", "") %>" />
		<small>If specified, the client GUI will get locked with this password. </small>
	</DIV>
	
	
	
	</fieldset>
	
	
	<fieldset>
	<legend>External HTML links</legend>
	
	<div class="notes">

        <h4>What's this?</h4>
        <p class="last">
        On several locations Syncrify client refers to external web pages. For example, when user clicks the <b>What is this</b>
        link next to Two-way sync. Using these links you can redirect your client to your website.<br><br>
        <a href="images/cbUrls.jpg" 
				title="Click here for a screen shot"
				onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
				>See screenshot.</a>
				
        </p>
     </div>
       
       
	<DIV class="required">
		<LABEL for="siteRootURL">Site root:</LABEL>			
		<INPUT type="text" name="siteRootURL" id="siteRootURL" class="inputText" 
		value="<%= request.getParameter("siteRootURL") != null ? request.getParameter("siteRootURL") : props.getProperty("site.root.url", "") %>" />
		<small>This URL serves as the root of other pages. Secondary pages must reside off of this path.
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="aboutURL">About URL:</LABEL>			
		<INPUT type="text" name="aboutURL" id="aboutURL" class="inputText" 
			value="<%= request.getParameter("aboutURL") != null ? request.getParameter("aboutURL") : props.getProperty("site.about.url", "") %>" />
		<small>URL for the page that typically displays <b>About Syncrify</b>. You can modify 
		the URL to steer users to your site.
		</small>
	</DIV>
	
	<DIV class="required">
		<LABEL for="helpURL">Help URL:</LABEL>			
		<INPUT type="text" name="helpURL" id="helpURL" class="inputText" 
			value="<%= request.getParameter("helpURL") != null ? request.getParameter("helpURL") : props.getProperty("site.help.url", "") %>" />
		<small>URL for a page on your website that provide help regarding Syncrify.
		</small>
	</DIV>
	
	
	</fieldset>
	
	
	<DIV>	
		<LABEL for="proceedButton">&nbsp;</LABEL>				
		<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Proceed" />				
	</DIV>
	
	
	
	<input type="hidden" name="operation" value="cbrand" />
	<input type="hidden" name="st" value="p1" />
	</form>
	
</div>



<%@ include file="Footer.jsp" %>