<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>

<h1>Disaster Recovery</h1>
<%
String errorMessage = (String) request.getAttribute("errorMessage");



if(errorMessage == null){
%>
<br><br>
The disaster recovery features in Syncrify allow you to setup one or more servers that act as a backup. In case of a disaster, you can quickly replace the primary
server with a backup server. Please <a href="http://web.synametrics.com/SyncrifyDR.htm" target="_blank">read this important information</a> before enabling this feature.

<%
if(request.getAttribute("drSlave") != null && request.getAttribute("drSlave").toString().length() > 0){
	%>
	<br><br>
	This server is configured as slave. You won't be able to:
	
	<ul>
		<li>Run backups to this server</li>
		<li>Modify any configuration. Configuration will be replicated from the primary server</li>
	</ul>
	<%
}
%>


<!-- 
<br><br>
Following rules apply when using DR features in Syncrify:
<br><br>
<ul>
	<li>The operating system for primary and backup server must belong to the same family - meaning if primary server is Windows, the backup server cannot be on Linux. Using a different version of
	Windows is fine. For example, you can have the primary server on Windows 2008 and the backup on Windows 2003.</li>
	<li>The directory structure on the backup server must match with the primary server. For example, if you are using C:\Backup as the repository folder for users 
	on the primary server, the repository folder on the backup server must be the same</li>
	<li>Primary and backup server must be on a fast network.</li>
	<li>Clients cannot connect to run their backups to the backup server. However, client can connect to the backup server to restore files if required.</li>
</ul>
 -->
 
 
<%
}else{
%>
	<br><br>
	<div class="syn_error"><h4 style="color:white">ERROR</h4>
		<%=errorMessage %>
	</div>
<%	
}
%>

<script>
function toggleLayer(blockName, styleName){
    var style2
    if (document.getElementById){
        // this is the way the standards work
        style2 = document.getElementById(blockName).style;
    }else if (document.all){
        // this is the way old msie versions work
        style2 = document.all[blockName].style;
    }else if (document.layers){
        // this is the way nn4 works
        style2 = document.layers[blockName].style;
    }
    style2.display = styleName;
}


function showPrimary(){
   toggleLayer('existingServerList', 'block');
   toggleLayer('justSubmit', 'none');
}

function hidePrimary(){
   toggleLayer('existingServerList', 'none');
   toggleLayer('justSubmit', 'block');
   
}
</script>


<br><br>


<form action="<%=controllerPath%>" method="post">


       
	
	
    <fieldset><legend>Server Role:</legend> 
    <div class="notes">
     	<h4>Glossary</h4>
    	<p class="last">
    		<ul>
    		<li><b>Master - </b>used by Syncrify client to backup.</li>
    		<li><b>Slave - </b>Data from master is replicated to slave</b></li>
    		</ul>
    	</p>
    </div>
      
    <div class="optional">    
	  <label for="drDisabled" class="labelRadio"><input type="radio" name="drType" id="drDisabled" class="inputRadio" value="0" onclick="hidePrimary();" <%=request.getAttribute("drDisabled") %> /> Disabled</label>
	  <label for="drSlave" class="labelRadio"><input type="radio" name="drType" id="drSlave" class="inputRadio" value="1"  onclick="hidePrimary();"  <%=request.getAttribute("drSlave") %> /> DR-Slave.</label>
	  <label for="drMaster" class="labelRadio"><input type="radio" name="drType" id="drMaster" class="inputRadio" value="2" onclick="showPrimary();"  <%=request.getAttribute("drMaster") %>/> DR-Master.</label>
	</div>
</fieldset>


		<div id="existingServerList">
			<h3>Add a slave server</h3>
			
			
			<div class="required">        
		        <label for="aNewServer">Host name</label>
		        <input type="text" name="aNewServer" id="aNewServer" class="inputText" size="40" maxlength="200" value="" />
		        <small>Example - http://192.168.1.30:5800</small>
		    </div>
			
		
	
		<div class="submit">
		  <div>
		    <input type="submit" class="inputSubmit" value="Add/Save" />
		  </div>
		</div>
   

<%
List<String> slaveList = (List<String>) request.getAttribute("slaveList");
boolean showExisting = slaveList.size() > 0;
boolean showHiddenDiv = request.getAttribute("drMaster").toString().length() > 0;
if(showExisting){
	%>
	<br><br>
	Following is a list of servers that are currently configured as backup servers.<br><br>
	<table class="infoTable" width="80%">
		<tr><th>Host name</th><th>Action</th></tr>
		<%
		for(int i = 0; i < slaveList.size(); i++){
			String oneSlave = slaveList.get(i);
			%>
			<tr>
				<td><a href="<%=oneSlave %>"><%=oneSlave %></a></td>
				<td><a href="app?operation=drsc&st=r&i=<%=i%>">Remove</a></td>
			</tr>
			<%
		}		
		%>
	</table>
	<%
}
%>


</div>


<div id="justSubmit">
	<div>
		<input type="submit" class="inputSubmit" value="Save" />
	</div>
</div>

<input type="hidden" name="operation" value="drsc" >
<input type="hidden" name="st" value="save" >

</form>

<script>
<%
if(showHiddenDiv){
	%>
	showPrimary();
	<%
}else{
	%>
	hidePrimary();
	<%
}
%>

</script>

<%@ include file="Footer.jsp" %>