<%@ include file="Header.jsp" %>

<h3>Discovery Wizard</h3>

<b>Host Discovery</b> is a free service provided by Synametrics allowing users on the Internet to find and connect to Syncrify running on this machine. 
It allows you to choose a one-word name for your computer, which becomes part of your domain name. 
For example, if you choose <b>"myHome"</b> as this word, users on the Internet will be able to type 
<b>"http://myHome.syncrify.com"</b> and to connect to your machine. 

<br><br>
This service is only useful if you are running Syncrify in your home or any other location that uses a dynamic IP address.


<%
String msg = (String) request.getAttribute("msg");

if(msg != null){
	%>
	<div class="syn_error">
		<%=msg %>
	</div>
	
	<%
}


boolean discoveryIsEnabled = request.getAttribute("discoveryEnabled").toString().length() > 0;


if(discoveryIsEnabled){
	%>
	<br><br>
	<div class="syn_tilegray">
	Discovery lookup is enabled on this machine. You should be able to access this Syncrify server by 
	typing <b>http://<%=request.getAttribute("discoverySubDomain") %>.syncrify.com</b> from any machine
	connected to the Internet.
	</div>
	<%
} 
%>
<br><br>
<form action="<%=controllerPath%>" method="post">
	
	<fieldset>
      	<div class="required">
	        <label for="discoveryEnabled" class="labelCheckbox"><input type="checkbox" 
	        		name="discoveryEnabled" id="discoveryEnabled" class="inputCheckbox" 
	        		value="1" <%= request.getAttribute("discoveryEnabled") %> /> Enabled</label>
	        <small>Host Discovery is enabled when checked.</small>
      	</div>
      	
      	<div class="required">
	        <label for="discoverySubDomain">Sub-Domain:</label>
	        <input type="text" name="discoverySubDomain" id="discoverySubDomain" class="inputText" size="15" maxlength="30" 
	        value="<%=request.getAttribute("discoverySubDomain") %>"  <%= discoveryIsEnabled ? "readonly" : "" %> />
	        <small>A one-word value for sub-domain. For example: RobinsHome. <br><b>Important:</b> This value cannot be modified once set</b></small>
      	</div>
      	<div class="required">
        
	        <label for="discoveryPort">TCP/IP Port</label>
	        	<select name="discoveryPort" id="discoveryPort" class="selectOne">
		          <option value="0" <%= request.getAttribute("discoveryPort").equals("0") ? "selected" : "" %> >Primary HTTP</option>
		          <option value="1" <%= request.getAttribute("discoveryPort").equals("1") ? "selected" : "" %> >Secondary HTTP</option>
		          <option value="2" <%= request.getAttribute("discoveryPort").equals("2") ? "selected" : "" %> >Secure HTTPS</option>		        
	        	</select>
	        <small>Select the port you wish to connect to</small>
      	</div>
      	
	</fieldset>
	
	<fieldset>
      <div class="submit">

        <div>
          <input type="submit" class="inputSubmit" value="Save &raquo;" />          
        </div>
      </div>
    </fieldset>
    
    <input type="hidden" name="operation" value="discovery">
    <input type="hidden" name="st" value="save">
    
</form>



<%@ include file="Footer.jsp" %>