<%@ include file="Header.jsp" %>



<h1>I/O Scalability Test</h1>

<%
if(request.getAttribute("bestSpeed") != null){
	%>
	<br><br>
	<h3>Test Results</h3>
	<table class="infoTable" width="80%">
		<tr>
			<th>Total Errors:</th><td><%= request.getAttribute("totalFailed")%></td>
		</tr>
		<tr>
			<th>Average Transfer Speed:</th><td><%= request.getAttribute("avgSpeed")%> KB/Sec.</td>
		</tr>
		<tr>
			<th>Best Transfer Speed:</th><td><%= request.getAttribute("bestSpeed")%> KB/Sec.</td>
		</tr>
		<tr>
			<th>Worst Transfer Speed:</th><td><%= request.getAttribute("worstSpeed")%> KB/Sec.</td>
		</tr>
		<tr>
			<th>Data Size:</th><td><%= request.getAttribute("totalSize")%></td>
		</tr>
		<tr>
			<th>Total Files:</th><td><%= request.getAttribute("totalFiles")%></td>
		</tr>
		<tr>
			<th>Thread count:</th><td><%= request.getAttribute("totalThread")%></td>
		</tr>
	</table>
	<%
}
%>




<%
	if(request.getAttribute("errorMessage") != null){
		%>
		<br><br>
		<H3>Error(s):</H3><%=request.getAttribute("errorMessage") %>
		<%
	}
%>

<br><br>
This scalability test ensures your hardware can handle the load exerted by Syncrify during backup. This test simulates 
concurrent read/write operations to the disk and reports if error occur.

<form action="<%=controllerPath%>" method="post" >
	
	<fieldset>
	<LEGEND>Test Parameters</LEGEND>
	
	
	
		<DIV class="required">
			<LABEL for="sessionCount">Simultaneous Backup Sessions:</LABEL>			
			<INPUT type="text" name="sessionCount" id="sessionCount" class="inputText" 
			value="20" />
			<small>Number of simultaneous backup sessions you expect on this machine. </small>
		</DIV>
		
		<DIV class="required">
			<LABEL for="threadsPerSession">Thread per Session:</LABEL>			
			<INPUT type="text" name="threadsPerSession" id="threadsPerSession" class="inputText" 
			value="5" />
			<small>Specify the number of threads per backup session. </small>
		</DIV>
		
		<DIV class="required">
			<LABEL for="repositoryPath">Repository Path:</LABEL>			
			<INPUT type="text" name="repositoryPath" id="repositoryPath" class="inputText" value="<%=request.getAttribute("repositoryPath") %>" />
			<small>Path on the disk to test. </small>
		</DIV>
	
	</fieldset>
	<DIV>	
		<LABEL for="proceedButton">&nbsp;</LABEL>				
		<INPUT type="submit" class="dialogButton" name="proceedButton" id="proceedButton" value="Proceed" />				
	</DIV>
	<input type="hidden" name="operation" value="disktest">
	<input type="hidden" name="st" value="ga">
	<input type="hidden" name="maxFileSizeInMB" value="25">
	
</form>


<br><br>
<h1>Note:</h1>
This test will take a long time to run and can potentially read/write gigabytes of data to your disk. Ensure no backups are running
during this test. Do not close or refresh your browser will this test is running. 

<%@ include file="Footer.jsp" %>